package cn.com.qmth.scancentral.bean.answersave;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class AnswerPackageDomain {

    @NotNull(message = "batchId不能为空")
    private Long batchId;

    @NotBlank(message = "subjectCode不能为空")
    private String subjectCode;

    @NotNull(message = "cardNumber不能为空")
    @Min(value = 1, message = "cardNumber不能小于1")
    private Integer cardNumber;

    @Valid
    @NotNull(message = "students不能为空")
    @Size(min = 1, message = "students不能为空")
    private List<AnswerPackageStudent> students;

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public Integer getCardNumber() {
        return cardNumber;
    }

    public void setCardNumber(Integer cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public List<AnswerPackageStudent> getStudents() {
        return students;
    }

    public void setStudents(List<AnswerPackageStudent> students) {
        this.students = students;
    }
}
